Tasks

Move Task

POST
/orgs/{organizationId}/tasks/{id}/move

Moves a task to a column and position on a grouped board, as used by drag and drop.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
sortOrder*integer
Range0 <= value <= 9007199254740991
groupBy?string
Default"NONE"
Value in"NONE""MANUAL""STATUS""PRIORITY""ASSIGNEE""LABEL""CUSTOMER""DUE_DATE"
viewId?string
laneId?string|null
groupValue?string|null
fromGroupValue?string|null
orderedIds?array<string>
Itemsitems <= 500
assigneeId?string
customerId?string

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/tasks/string/move' \  -H 'Content-Type: application/json' \  -d '{  "sortOrder": 0}'
null